Scaleway logo
Managed Database for Redis™ API

Manage endpoint access to your Redis™ Database Instance through Public or Private Networks


Set endpoints for a cluster

PUT
https://api.scaleway.com
/redis/v1/zones/{zone}/clusters/{cluster_id}/endpoints

Update an endpoint for a Redis™ Database Instance (Redis™ cluster). You must specify the cluster_id and the endpoints parameters in your request.

Set endpoints for a cluster › path Parameters

zone
​string · enum · required

The zone you want to target

Enum values:
fr-par-1
fr-par-2
nl-ams-1
nl-ams-2
pl-waw-1
pl-waw-2
cluster_id
​string · required

UUID of the Database Instance where the endpoints have to be set. (UUID format)

Set endpoints for a cluster › Request Body

​scaleway.redis.v1.EndpointSpec[] · required

Endpoints to define for the Database Instance.

Set endpoints for a cluster › Responses

200

Endpoints defined on the Database Instance.


Add endpoints for a cluster

POST
https://api.scaleway.com
/redis/v1/zones/{zone}/clusters/{cluster_id}/endpoints

Add a new endpoint for a Redis™ Database Instance (Redis™ cluster). You can add private_network or public_network specifications to the body of the request.

Add endpoints for a cluster › path Parameters

zone
​string · enum · required

The zone you want to target

Enum values:
fr-par-1
fr-par-2
nl-ams-1
nl-ams-2
pl-waw-1
pl-waw-2
cluster_id
​string · required

UUID of the Database Instance you want to add endpoints to. (UUID format)

Add endpoints for a cluster › Request Body

​scaleway.redis.v1.EndpointSpec[] · required

Endpoints to add to the Database Instance.

Add endpoints for a cluster › Responses

200

Endpoints defined on the Database Instance.

total_count
​integer · uint32

Total count of endpoints of the Database Instance.


Get an endpoint

GET
https://api.scaleway.com
/redis/v1/zones/{zone}/endpoints/{endpoint_id}

Retrieve information about a Redis™ Database Instance (Redis™ cluster) endpoint. Full details about the endpoint, like ips, port, private_network and public_network specifications are returned in the response.

Get an endpoint › path Parameters

zone
​string · enum · required

The zone you want to target

Enum values:
fr-par-1
fr-par-2
nl-ams-1
nl-ams-2
pl-waw-1
pl-waw-2
endpoint_id
​string · required

UUID of the endpoint you want to get. (UUID format)

Get an endpoint › Responses

200
port
​integer · uint32

TCP port of the endpoint.

​

Private Network details.

​

Public network details.

ips
​string[]

List of IPv4 addresses of the endpoint. (IP address)

id
​string

UUID of the endpoint. (UUID format)


Delete an endpoint for a cluster

DELETE
https://api.scaleway.com
/redis/v1/zones/{zone}/endpoints/{endpoint_id}

Delete the endpoint of a Redis™ Database Instance (Redis™ cluster). You must specify the region and endpoint_id parameters of the endpoint you want to delete. Note that might need to update any environment configurations that point to the deleted endpoint.

Delete an endpoint for a cluster › path Parameters

zone
​string · enum · required

The zone you want to target

Enum values:
fr-par-1
fr-par-2
nl-ams-1
nl-ams-2
pl-waw-1
pl-waw-2
endpoint_id
​string · required

UUID of the endpoint you want to delete. (UUID format)

Delete an endpoint for a cluster › Responses

200
id
​string

UUID of the Database Instance. (UUID format)

name
​string

Name of the Database Instance.

project_id
​string

Project ID the Database Instance belongs to. (UUID format)

Status of the Database Instance.

Enum values:
unknown
ready
provisioning
configuring
deleting
error
autohealing
locked
Default: unknown
version
​string

Redis™ engine version of the Database Instance.

List of Database Instance endpoints.

tags
​string[]

List of tags applied to the Database Instance.

node_type
​string

Node type of the Database Instance.

created_at
​string | null · date-time

Creation date (Format ISO 8601). (RFC 3339 format)

updated_at
​string | null · date-time

Update date (Format ISO 8601). (RFC 3339 format)

tls_enabled
​boolean

Defines whether or not TLS is enabled.

List of Database Instance settings.

List of ACL rules.

cluster_size
​integer · uint32

Number of nodes of the Database Instance cluster.

zone
​string

Zone of the Database Instance.

user_name
​string

Name of the user associated to the cluster.

upgradable_versions
​string[]

List of engine versions the Database Instance can upgrade to.

srn
​string

Scaleway Resource Name of the Database Instance.


Update an endpoint

PATCH
https://api.scaleway.com
/redis/v1/zones/{zone}/endpoints/{endpoint_id}

Update information about a Redis™ Database Instance (Redis™ cluster) endpoint. Full details about the endpoint, like ips, port, private_network and public_network specifications are returned in the response.

Update an endpoint › path Parameters

zone
​string · enum · required

The zone you want to target

Enum values:
fr-par-1
fr-par-2
nl-ams-1
nl-ams-2
pl-waw-1
pl-waw-2
endpoint_id
​string · required

UUID of the endpoint you want to get. (UUID format)

Update an endpoint › Request Body

​

Private Network details.

​

Public network details.

Update an endpoint › Responses

200
port
​integer · uint32

TCP port of the endpoint.

​

Private Network details.

​

Public network details.

ips
​string[]

List of IPv4 addresses of the endpoint. (IP address)

id
​string

UUID of the endpoint. (UUID format)